#!/bin/bash
# Run's the Perforce Server Log Analyzer using Flask

# Directory of current script
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"

# Parameter one (optional Port)
PORT=${1:-5000}

export PSLA_LOGS=${PSLA_LOGS:-$DIR/logs}
[[ -d $PSLA_LOGS ]] || mkdir $PSLA_LOGS

export FLASK_APP=$DIR/psla.py
export FLASK_DEBUG=1
flask run --host=0.0.0.0 --port=$PORT
