use P4::test;

# Create an edge server
my ( $edge, $e4 ) = newReplica RPL_TYPE => 'edge-server' otherOpts => { 'track' => 1, 'server' => 4 };

`p4 configure set track=1`;
`p4 configure set server=4`;

`p4 client -o | p4 client -i`;
# Files less than minFileSize or greater
write_file 'some_file', 'some content';
`p4 add *`;
`p4 submit -d foo`;

my $edgeRoot = $edge->{ serverRoot };
$msg = read_file "$edgeRoot/track.log";
like $msg , qr /pull/;
